/* ///////////////////////////////////////////////////////////////////////
 * File:		sample.h		
 *
 * Created:		09.03.15
 * Updated:		09.03.15
 *
 * Brief:		The sample class 
 *
 * [<Home>]
 * Copyright (c) 2008-2020, Waruqi All rights reserved.
 * //////////////////////////////////////////////////////////////////// */

#ifndef EXTL_INTELLIGENCE_ANN_SAMPLE_H
#define EXTL_INTELLIGENCE_ANN_SAMPLE_H

/*!\file sample.h
 * \brief sample class
 */

/* ///////////////////////////////////////////////////////////////////////
 * Includes
 */
#include "prefix.h"
#include "bool_sample.h"
#include "float_sample.h"
#include "sample_selector.h"

/* //////////////////////////////////////////////////////////////////// */
#endif	/* EXTL_INTELLIGENCE_ANN_SAMPLE_H */
/* //////////////////////////////////////////////////////////////////// */
